Index: toplev.c
===================================================================
RCS file: /cvs/gcc/gcc/gcc/toplev.c,v
retrieving revision 1.893
diff -u -r1.893 toplev.c
--- toplev.c	17 Apr 2004 06:53:43 -0000	1.893
+++ toplev.c	19 Apr 2004 13:28:29 -0000
@@ -268,8 +268,9 @@
 
 /* Nonzero if registers should be renamed.  When
    flag_rename_registers == AUTODETECT_FLAG_VAR_TRACKING it will be set
-   according to optimize and default_debug_hooks in process_options ().  */
-int flag_rename_registers = AUTODETECT_FLAG_VAR_TRACKING;
+   according to optimize and default_debug_hooks in process_options (),
+   but we do not do this yet because it triggers aborts in flow.c.  */
+int flag_rename_registers = 0;
 int flag_cprop_registers = 0;
 
 /* Nonzero for -pedantic switch: warn about anything
Index: doc/invoke.texi
===================================================================
RCS file: /cvs/gcc/gcc/gcc/doc/invoke.texi,v
retrieving revision 1.447
diff -u -r1.447 invoke.texi
--- doc/invoke.texi	18 Apr 2004 23:17:28 -0000	1.447
+++ doc/invoke.texi	19 Apr 2004 13:28:32 -0000
@@ -4342,19 +4342,6 @@
 
 Enabled at levels @option{-O2}, @option{-O3}.
 
-@item -frename-registers
-@opindex frename-registers
-Attempt to avoid false dependencies in scheduled code by making use
-of registers left over after register allocation.  This optimization
-will most benefit processors with lots of registers.  Depending on the
-debug information format adopted by the target, however, it can
-make debugging impossible, since variables will no longer stay in
-a ``home register''.
-
-Enabled at levels @option{-O}, @option{-O2}, @option{-O3}, @option{-Os},
-on targets where the default format for debugging information supports
-variable tracking.
-
 @item -fweb
 @opindex fweb
 Constructs webs as commonly used for register allocation purposes and assign
@@ -4574,6 +4561,17 @@
 using the knowledge about the value of the denominator.
 
 Enabled with @option{-profile-generate} and @option{-profile-use}.
+
+@item -frename-registers
+@opindex frename-registers
+Attempt to avoid false dependencies in scheduled code by making use
+of registers left over after register allocation.  This optimization
+will most benefit processors with lots of registers.  Depending on the
+debug information format adopted by the target, however, it can
+make debugging impossible, since variables will no longer stay in
+a ``home register''.
+
+Not enabled by default at any level because it has known bugs.
 
 @item -fnew-ra
 @opindex fnew-ra
